IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network233.48.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
- Network address
233.48.0.0- Broadcast address
233.63.255.255- First usable
233.48.0.1- Last usable
233.63.255.254- Usable hosts
- 1,048,574 (1,048,576 less the network and broadcast addresses)
- Subnet mask
255.240.0.0- Wildcard mask
0.15.255.255(Cisco ACLs, OSPF)- Prefix length
- /12
- Type
- Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols - Old class
- D (multicast)
- As numbers
- Hex
E9300000· Integer3912237056to3913285631 - Reverse DNS zones
48.233.in-addr.arpa49.233.in-addr.arpa50.233.in-addr.arpa51.233.in-addr.arpa52.233.in-addr.arpa53.233.in-addr.arpa54.233.in-addr.arpa55.233.in-addr.arpa56.233.in-addr.arpa57.233.in-addr.arpa58.233.in-addr.arpa59.233.in-addr.arpa60.233.in-addr.arpa61.233.in-addr.arpa62.233.in-addr.arpa63.233.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 11101001.00110000.00000000.00000000 | 233.48.0.0 |
| Subnet mask | 11111111.11110000.00000000.00000000 | 255.240.0.0 |
| Network | 11101001.00110000.00000000.00000000 | 233.48.0.0 |
| Broadcast | 11101001.00111111.11111111.11111111 | 233.63.255.255 |
Split into smaller subnets
/13 (2)/14 (4)/15 (8)/16 (16)/17 (32)/18 (64)/19 (128)/20 (256)/21 (512)/22 (1,024)/23 (2,048)/24 (4,096)
233.48.0.0/12 makes 2,048 subnets of /23; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 233.48.0.0/23 | 233.48.0.1 to 233.48.1.254 | 233.48.1.255 | 510 |
| 2 | 233.48.2.0/23 | 233.48.2.1 to 233.48.3.254 | 233.48.3.255 | 510 |
| 3 | 233.48.4.0/23 | 233.48.4.1 to 233.48.5.254 | 233.48.5.255 | 510 |
| 4 | 233.48.6.0/23 | 233.48.6.1 to 233.48.7.254 | 233.48.7.255 | 510 |
| 5 | 233.48.8.0/23 | 233.48.8.1 to 233.48.9.254 | 233.48.9.255 | 510 |
| 6 | 233.48.10.0/23 | 233.48.10.1 to 233.48.11.254 | 233.48.11.255 | 510 |
| 7 | 233.48.12.0/23 | 233.48.12.1 to 233.48.13.254 | 233.48.13.255 | 510 |
| 8 | 233.48.14.0/23 | 233.48.14.1 to 233.48.15.254 | 233.48.15.255 | 510 |
| 9 | 233.48.16.0/23 | 233.48.16.1 to 233.48.17.254 | 233.48.17.255 | 510 |
| 10 | 233.48.18.0/23 | 233.48.18.1 to 233.48.19.254 | 233.48.19.255 | 510 |
| 11 | 233.48.20.0/23 | 233.48.20.1 to 233.48.21.254 | 233.48.21.255 | 510 |
| 12 | 233.48.22.0/23 | 233.48.22.1 to 233.48.23.254 | 233.48.23.255 | 510 |
| 13 | 233.48.24.0/23 | 233.48.24.1 to 233.48.25.254 | 233.48.25.255 | 510 |
| 14 | 233.48.26.0/23 | 233.48.26.1 to 233.48.27.254 | 233.48.27.255 | 510 |
| 15 | 233.48.28.0/23 | 233.48.28.1 to 233.48.29.254 | 233.48.29.255 | 510 |
| 16 | 233.48.30.0/23 | 233.48.30.1 to 233.48.31.254 | 233.48.31.255 | 510 |
| 17 | 233.48.32.0/23 | 233.48.32.1 to 233.48.33.254 | 233.48.33.255 | 510 |
| 18 | 233.48.34.0/23 | 233.48.34.1 to 233.48.35.254 | 233.48.35.255 | 510 |
| 19 | 233.48.36.0/23 | 233.48.36.1 to 233.48.37.254 | 233.48.37.255 | 510 |
| 20 | 233.48.38.0/23 | 233.48.38.1 to 233.48.39.254 | 233.48.39.255 | 510 |
| 21 | 233.48.40.0/23 | 233.48.40.1 to 233.48.41.254 | 233.48.41.255 | 510 |
| 22 | 233.48.42.0/23 | 233.48.42.1 to 233.48.43.254 | 233.48.43.255 | 510 |
| 23 | 233.48.44.0/23 | 233.48.44.1 to 233.48.45.254 | 233.48.45.255 | 510 |
| 24 | 233.48.46.0/23 | 233.48.46.1 to 233.48.47.254 | 233.48.47.255 | 510 |
| 25 | 233.48.48.0/23 | 233.48.48.1 to 233.48.49.254 | 233.48.49.255 | 510 |
| 26 | 233.48.50.0/23 | 233.48.50.1 to 233.48.51.254 | 233.48.51.255 | 510 |
| 27 | 233.48.52.0/23 | 233.48.52.1 to 233.48.53.254 | 233.48.53.255 | 510 |
| 28 | 233.48.54.0/23 | 233.48.54.1 to 233.48.55.254 | 233.48.55.255 | 510 |
| 29 | 233.48.56.0/23 | 233.48.56.1 to 233.48.57.254 | 233.48.57.255 | 510 |
| 30 | 233.48.58.0/23 | 233.48.58.1 to 233.48.59.254 | 233.48.59.255 | 510 |
| 31 | 233.48.60.0/23 | 233.48.60.1 to 233.48.61.254 | 233.48.61.255 | 510 |
| 32 | 233.48.62.0/23 | 233.48.62.1 to 233.48.63.254 | 233.48.63.255 | 510 |
| 33 | 233.48.64.0/23 | 233.48.64.1 to 233.48.65.254 | 233.48.65.255 | 510 |
| 34 | 233.48.66.0/23 | 233.48.66.1 to 233.48.67.254 | 233.48.67.255 | 510 |
| 35 | 233.48.68.0/23 | 233.48.68.1 to 233.48.69.254 | 233.48.69.255 | 510 |
| 36 | 233.48.70.0/23 | 233.48.70.1 to 233.48.71.254 | 233.48.71.255 | 510 |
| 37 | 233.48.72.0/23 | 233.48.72.1 to 233.48.73.254 | 233.48.73.255 | 510 |
| 38 | 233.48.74.0/23 | 233.48.74.1 to 233.48.75.254 | 233.48.75.255 | 510 |
| 39 | 233.48.76.0/23 | 233.48.76.1 to 233.48.77.254 | 233.48.77.255 | 510 |
| 40 | 233.48.78.0/23 | 233.48.78.1 to 233.48.79.254 | 233.48.79.255 | 510 |
| 41 | 233.48.80.0/23 | 233.48.80.1 to 233.48.81.254 | 233.48.81.255 | 510 |
| 42 | 233.48.82.0/23 | 233.48.82.1 to 233.48.83.254 | 233.48.83.255 | 510 |
| 43 | 233.48.84.0/23 | 233.48.84.1 to 233.48.85.254 | 233.48.85.255 | 510 |
| 44 | 233.48.86.0/23 | 233.48.86.1 to 233.48.87.254 | 233.48.87.255 | 510 |
| 45 | 233.48.88.0/23 | 233.48.88.1 to 233.48.89.254 | 233.48.89.255 | 510 |
| 46 | 233.48.90.0/23 | 233.48.90.1 to 233.48.91.254 | 233.48.91.255 | 510 |
| 47 | 233.48.92.0/23 | 233.48.92.1 to 233.48.93.254 | 233.48.93.255 | 510 |
| 48 | 233.48.94.0/23 | 233.48.94.1 to 233.48.95.254 | 233.48.95.255 | 510 |
| 49 | 233.48.96.0/23 | 233.48.96.1 to 233.48.97.254 | 233.48.97.255 | 510 |
| 50 | 233.48.98.0/23 | 233.48.98.1 to 233.48.99.254 | 233.48.99.255 | 510 |
| 51 | 233.48.100.0/23 | 233.48.100.1 to 233.48.101.254 | 233.48.101.255 | 510 |
| 52 | 233.48.102.0/23 | 233.48.102.1 to 233.48.103.254 | 233.48.103.255 | 510 |
| 53 | 233.48.104.0/23 | 233.48.104.1 to 233.48.105.254 | 233.48.105.255 | 510 |
| 54 | 233.48.106.0/23 | 233.48.106.1 to 233.48.107.254 | 233.48.107.255 | 510 |
| 55 | 233.48.108.0/23 | 233.48.108.1 to 233.48.109.254 | 233.48.109.255 | 510 |
| 56 | 233.48.110.0/23 | 233.48.110.1 to 233.48.111.254 | 233.48.111.255 | 510 |
| 57 | 233.48.112.0/23 | 233.48.112.1 to 233.48.113.254 | 233.48.113.255 | 510 |
| 58 | 233.48.114.0/23 | 233.48.114.1 to 233.48.115.254 | 233.48.115.255 | 510 |
| 59 | 233.48.116.0/23 | 233.48.116.1 to 233.48.117.254 | 233.48.117.255 | 510 |
| 60 | 233.48.118.0/23 | 233.48.118.1 to 233.48.119.254 | 233.48.119.255 | 510 |
| 61 | 233.48.120.0/23 | 233.48.120.1 to 233.48.121.254 | 233.48.121.255 | 510 |
| 62 | 233.48.122.0/23 | 233.48.122.1 to 233.48.123.254 | 233.48.123.255 | 510 |
| 63 | 233.48.124.0/23 | 233.48.124.1 to 233.48.125.254 | 233.48.125.255 | 510 |
| 64 | 233.48.126.0/23 | 233.48.126.1 to 233.48.127.254 | 233.48.127.255 | 510 |
| 65 | 233.48.128.0/23 | 233.48.128.1 to 233.48.129.254 | 233.48.129.255 | 510 |
| 66 | 233.48.130.0/23 | 233.48.130.1 to 233.48.131.254 | 233.48.131.255 | 510 |
| 67 | 233.48.132.0/23 | 233.48.132.1 to 233.48.133.254 | 233.48.133.255 | 510 |
| 68 | 233.48.134.0/23 | 233.48.134.1 to 233.48.135.254 | 233.48.135.255 | 510 |
| 69 | 233.48.136.0/23 | 233.48.136.1 to 233.48.137.254 | 233.48.137.255 | 510 |
| 70 | 233.48.138.0/23 | 233.48.138.1 to 233.48.139.254 | 233.48.139.255 | 510 |
| 71 | 233.48.140.0/23 | 233.48.140.1 to 233.48.141.254 | 233.48.141.255 | 510 |
| 72 | 233.48.142.0/23 | 233.48.142.1 to 233.48.143.254 | 233.48.143.255 | 510 |
| 73 | 233.48.144.0/23 | 233.48.144.1 to 233.48.145.254 | 233.48.145.255 | 510 |
| 74 | 233.48.146.0/23 | 233.48.146.1 to 233.48.147.254 | 233.48.147.255 | 510 |
| 75 | 233.48.148.0/23 | 233.48.148.1 to 233.48.149.254 | 233.48.149.255 | 510 |
| 76 | 233.48.150.0/23 | 233.48.150.1 to 233.48.151.254 | 233.48.151.255 | 510 |
| 77 | 233.48.152.0/23 | 233.48.152.1 to 233.48.153.254 | 233.48.153.255 | 510 |
| 78 | 233.48.154.0/23 | 233.48.154.1 to 233.48.155.254 | 233.48.155.255 | 510 |
| 79 | 233.48.156.0/23 | 233.48.156.1 to 233.48.157.254 | 233.48.157.255 | 510 |
| 80 | 233.48.158.0/23 | 233.48.158.1 to 233.48.159.254 | 233.48.159.255 | 510 |
| 81 | 233.48.160.0/23 | 233.48.160.1 to 233.48.161.254 | 233.48.161.255 | 510 |
| 82 | 233.48.162.0/23 | 233.48.162.1 to 233.48.163.254 | 233.48.163.255 | 510 |
| 83 | 233.48.164.0/23 | 233.48.164.1 to 233.48.165.254 | 233.48.165.255 | 510 |
| 84 | 233.48.166.0/23 | 233.48.166.1 to 233.48.167.254 | 233.48.167.255 | 510 |
| 85 | 233.48.168.0/23 | 233.48.168.1 to 233.48.169.254 | 233.48.169.255 | 510 |
| 86 | 233.48.170.0/23 | 233.48.170.1 to 233.48.171.254 | 233.48.171.255 | 510 |
| 87 | 233.48.172.0/23 | 233.48.172.1 to 233.48.173.254 | 233.48.173.255 | 510 |
| 88 | 233.48.174.0/23 | 233.48.174.1 to 233.48.175.254 | 233.48.175.255 | 510 |
| 89 | 233.48.176.0/23 | 233.48.176.1 to 233.48.177.254 | 233.48.177.255 | 510 |
| 90 | 233.48.178.0/23 | 233.48.178.1 to 233.48.179.254 | 233.48.179.255 | 510 |
| 91 | 233.48.180.0/23 | 233.48.180.1 to 233.48.181.254 | 233.48.181.255 | 510 |
| 92 | 233.48.182.0/23 | 233.48.182.1 to 233.48.183.254 | 233.48.183.255 | 510 |
| 93 | 233.48.184.0/23 | 233.48.184.1 to 233.48.185.254 | 233.48.185.255 | 510 |
| 94 | 233.48.186.0/23 | 233.48.186.1 to 233.48.187.254 | 233.48.187.255 | 510 |
| 95 | 233.48.188.0/23 | 233.48.188.1 to 233.48.189.254 | 233.48.189.255 | 510 |
| 96 | 233.48.190.0/23 | 233.48.190.1 to 233.48.191.254 | 233.48.191.255 | 510 |
| 97 | 233.48.192.0/23 | 233.48.192.1 to 233.48.193.254 | 233.48.193.255 | 510 |
| 98 | 233.48.194.0/23 | 233.48.194.1 to 233.48.195.254 | 233.48.195.255 | 510 |
| 99 | 233.48.196.0/23 | 233.48.196.1 to 233.48.197.254 | 233.48.197.255 | 510 |
| 100 | 233.48.198.0/23 | 233.48.198.1 to 233.48.199.254 | 233.48.199.255 | 510 |
| 101 | 233.48.200.0/23 | 233.48.200.1 to 233.48.201.254 | 233.48.201.255 | 510 |
| 102 | 233.48.202.0/23 | 233.48.202.1 to 233.48.203.254 | 233.48.203.255 | 510 |
| 103 | 233.48.204.0/23 | 233.48.204.1 to 233.48.205.254 | 233.48.205.255 | 510 |
| 104 | 233.48.206.0/23 | 233.48.206.1 to 233.48.207.254 | 233.48.207.255 | 510 |
| 105 | 233.48.208.0/23 | 233.48.208.1 to 233.48.209.254 | 233.48.209.255 | 510 |
| 106 | 233.48.210.0/23 | 233.48.210.1 to 233.48.211.254 | 233.48.211.255 | 510 |
| 107 | 233.48.212.0/23 | 233.48.212.1 to 233.48.213.254 | 233.48.213.255 | 510 |
| 108 | 233.48.214.0/23 | 233.48.214.1 to 233.48.215.254 | 233.48.215.255 | 510 |
| 109 | 233.48.216.0/23 | 233.48.216.1 to 233.48.217.254 | 233.48.217.255 | 510 |
| 110 | 233.48.218.0/23 | 233.48.218.1 to 233.48.219.254 | 233.48.219.255 | 510 |
| 111 | 233.48.220.0/23 | 233.48.220.1 to 233.48.221.254 | 233.48.221.255 | 510 |
| 112 | 233.48.222.0/23 | 233.48.222.1 to 233.48.223.254 | 233.48.223.255 | 510 |
| 113 | 233.48.224.0/23 | 233.48.224.1 to 233.48.225.254 | 233.48.225.255 | 510 |
| 114 | 233.48.226.0/23 | 233.48.226.1 to 233.48.227.254 | 233.48.227.255 | 510 |
| 115 | 233.48.228.0/23 | 233.48.228.1 to 233.48.229.254 | 233.48.229.255 | 510 |
| 116 | 233.48.230.0/23 | 233.48.230.1 to 233.48.231.254 | 233.48.231.255 | 510 |
| 117 | 233.48.232.0/23 | 233.48.232.1 to 233.48.233.254 | 233.48.233.255 | 510 |
| 118 | 233.48.234.0/23 | 233.48.234.1 to 233.48.235.254 | 233.48.235.255 | 510 |
| 119 | 233.48.236.0/23 | 233.48.236.1 to 233.48.237.254 | 233.48.237.255 | 510 |
| 120 | 233.48.238.0/23 | 233.48.238.1 to 233.48.239.254 | 233.48.239.255 | 510 |
| 121 | 233.48.240.0/23 | 233.48.240.1 to 233.48.241.254 | 233.48.241.255 | 510 |
| 122 | 233.48.242.0/23 | 233.48.242.1 to 233.48.243.254 | 233.48.243.255 | 510 |
| 123 | 233.48.244.0/23 | 233.48.244.1 to 233.48.245.254 | 233.48.245.255 | 510 |
| 124 | 233.48.246.0/23 | 233.48.246.1 to 233.48.247.254 | 233.48.247.255 | 510 |
| 125 | 233.48.248.0/23 | 233.48.248.1 to 233.48.249.254 | 233.48.249.255 | 510 |
| 126 | 233.48.250.0/23 | 233.48.250.1 to 233.48.251.254 | 233.48.251.255 | 510 |
| 127 | 233.48.252.0/23 | 233.48.252.1 to 233.48.253.254 | 233.48.253.255 | 510 |
| 128 | 233.48.254.0/23 | 233.48.254.1 to 233.48.255.254 | 233.48.255.255 | 510 |
| 129 | 233.49.0.0/23 | 233.49.0.1 to 233.49.1.254 | 233.49.1.255 | 510 |
| 130 | 233.49.2.0/23 | 233.49.2.1 to 233.49.3.254 | 233.49.3.255 | 510 |
| 131 | 233.49.4.0/23 | 233.49.4.1 to 233.49.5.254 | 233.49.5.255 | 510 |
| 132 | 233.49.6.0/23 | 233.49.6.1 to 233.49.7.254 | 233.49.7.255 | 510 |
| 133 | 233.49.8.0/23 | 233.49.8.1 to 233.49.9.254 | 233.49.9.255 | 510 |
| 134 | 233.49.10.0/23 | 233.49.10.1 to 233.49.11.254 | 233.49.11.255 | 510 |
| 135 | 233.49.12.0/23 | 233.49.12.1 to 233.49.13.254 | 233.49.13.255 | 510 |
| 136 | 233.49.14.0/23 | 233.49.14.1 to 233.49.15.254 | 233.49.15.255 | 510 |
| 137 | 233.49.16.0/23 | 233.49.16.1 to 233.49.17.254 | 233.49.17.255 | 510 |
| 138 | 233.49.18.0/23 | 233.49.18.1 to 233.49.19.254 | 233.49.19.255 | 510 |
| 139 | 233.49.20.0/23 | 233.49.20.1 to 233.49.21.254 | 233.49.21.255 | 510 |
| 140 | 233.49.22.0/23 | 233.49.22.1 to 233.49.23.254 | 233.49.23.255 | 510 |
| 141 | 233.49.24.0/23 | 233.49.24.1 to 233.49.25.254 | 233.49.25.255 | 510 |
| 142 | 233.49.26.0/23 | 233.49.26.1 to 233.49.27.254 | 233.49.27.255 | 510 |
| 143 | 233.49.28.0/23 | 233.49.28.1 to 233.49.29.254 | 233.49.29.255 | 510 |
| 144 | 233.49.30.0/23 | 233.49.30.1 to 233.49.31.254 | 233.49.31.255 | 510 |
| 145 | 233.49.32.0/23 | 233.49.32.1 to 233.49.33.254 | 233.49.33.255 | 510 |
| 146 | 233.49.34.0/23 | 233.49.34.1 to 233.49.35.254 | 233.49.35.255 | 510 |
| 147 | 233.49.36.0/23 | 233.49.36.1 to 233.49.37.254 | 233.49.37.255 | 510 |
| 148 | 233.49.38.0/23 | 233.49.38.1 to 233.49.39.254 | 233.49.39.255 | 510 |
| 149 | 233.49.40.0/23 | 233.49.40.1 to 233.49.41.254 | 233.49.41.255 | 510 |
| 150 | 233.49.42.0/23 | 233.49.42.1 to 233.49.43.254 | 233.49.43.255 | 510 |
| 151 | 233.49.44.0/23 | 233.49.44.1 to 233.49.45.254 | 233.49.45.255 | 510 |
| 152 | 233.49.46.0/23 | 233.49.46.1 to 233.49.47.254 | 233.49.47.255 | 510 |
| 153 | 233.49.48.0/23 | 233.49.48.1 to 233.49.49.254 | 233.49.49.255 | 510 |
| 154 | 233.49.50.0/23 | 233.49.50.1 to 233.49.51.254 | 233.49.51.255 | 510 |
| 155 | 233.49.52.0/23 | 233.49.52.1 to 233.49.53.254 | 233.49.53.255 | 510 |
| 156 | 233.49.54.0/23 | 233.49.54.1 to 233.49.55.254 | 233.49.55.255 | 510 |
| 157 | 233.49.56.0/23 | 233.49.56.1 to 233.49.57.254 | 233.49.57.255 | 510 |
| 158 | 233.49.58.0/23 | 233.49.58.1 to 233.49.59.254 | 233.49.59.255 | 510 |
| 159 | 233.49.60.0/23 | 233.49.60.1 to 233.49.61.254 | 233.49.61.255 | 510 |
| 160 | 233.49.62.0/23 | 233.49.62.1 to 233.49.63.254 | 233.49.63.255 | 510 |
| 161 | 233.49.64.0/23 | 233.49.64.1 to 233.49.65.254 | 233.49.65.255 | 510 |
| 162 | 233.49.66.0/23 | 233.49.66.1 to 233.49.67.254 | 233.49.67.255 | 510 |
| 163 | 233.49.68.0/23 | 233.49.68.1 to 233.49.69.254 | 233.49.69.255 | 510 |
| 164 | 233.49.70.0/23 | 233.49.70.1 to 233.49.71.254 | 233.49.71.255 | 510 |
| 165 | 233.49.72.0/23 | 233.49.72.1 to 233.49.73.254 | 233.49.73.255 | 510 |
| 166 | 233.49.74.0/23 | 233.49.74.1 to 233.49.75.254 | 233.49.75.255 | 510 |
| 167 | 233.49.76.0/23 | 233.49.76.1 to 233.49.77.254 | 233.49.77.255 | 510 |
| 168 | 233.49.78.0/23 | 233.49.78.1 to 233.49.79.254 | 233.49.79.255 | 510 |
| 169 | 233.49.80.0/23 | 233.49.80.1 to 233.49.81.254 | 233.49.81.255 | 510 |
| 170 | 233.49.82.0/23 | 233.49.82.1 to 233.49.83.254 | 233.49.83.255 | 510 |
| 171 | 233.49.84.0/23 | 233.49.84.1 to 233.49.85.254 | 233.49.85.255 | 510 |
| 172 | 233.49.86.0/23 | 233.49.86.1 to 233.49.87.254 | 233.49.87.255 | 510 |
| 173 | 233.49.88.0/23 | 233.49.88.1 to 233.49.89.254 | 233.49.89.255 | 510 |
| 174 | 233.49.90.0/23 | 233.49.90.1 to 233.49.91.254 | 233.49.91.255 | 510 |
| 175 | 233.49.92.0/23 | 233.49.92.1 to 233.49.93.254 | 233.49.93.255 | 510 |
| 176 | 233.49.94.0/23 | 233.49.94.1 to 233.49.95.254 | 233.49.95.255 | 510 |
| 177 | 233.49.96.0/23 | 233.49.96.1 to 233.49.97.254 | 233.49.97.255 | 510 |
| 178 | 233.49.98.0/23 | 233.49.98.1 to 233.49.99.254 | 233.49.99.255 | 510 |
| 179 | 233.49.100.0/23 | 233.49.100.1 to 233.49.101.254 | 233.49.101.255 | 510 |
| 180 | 233.49.102.0/23 | 233.49.102.1 to 233.49.103.254 | 233.49.103.255 | 510 |
| 181 | 233.49.104.0/23 | 233.49.104.1 to 233.49.105.254 | 233.49.105.255 | 510 |
| 182 | 233.49.106.0/23 | 233.49.106.1 to 233.49.107.254 | 233.49.107.255 | 510 |
| 183 | 233.49.108.0/23 | 233.49.108.1 to 233.49.109.254 | 233.49.109.255 | 510 |
| 184 | 233.49.110.0/23 | 233.49.110.1 to 233.49.111.254 | 233.49.111.255 | 510 |
| 185 | 233.49.112.0/23 | 233.49.112.1 to 233.49.113.254 | 233.49.113.255 | 510 |
| 186 | 233.49.114.0/23 | 233.49.114.1 to 233.49.115.254 | 233.49.115.255 | 510 |
| 187 | 233.49.116.0/23 | 233.49.116.1 to 233.49.117.254 | 233.49.117.255 | 510 |
| 188 | 233.49.118.0/23 | 233.49.118.1 to 233.49.119.254 | 233.49.119.255 | 510 |
| 189 | 233.49.120.0/23 | 233.49.120.1 to 233.49.121.254 | 233.49.121.255 | 510 |
| 190 | 233.49.122.0/23 | 233.49.122.1 to 233.49.123.254 | 233.49.123.255 | 510 |
| 191 | 233.49.124.0/23 | 233.49.124.1 to 233.49.125.254 | 233.49.125.255 | 510 |
| 192 | 233.49.126.0/23 | 233.49.126.1 to 233.49.127.254 | 233.49.127.255 | 510 |
| 193 | 233.49.128.0/23 | 233.49.128.1 to 233.49.129.254 | 233.49.129.255 | 510 |
| 194 | 233.49.130.0/23 | 233.49.130.1 to 233.49.131.254 | 233.49.131.255 | 510 |
| 195 | 233.49.132.0/23 | 233.49.132.1 to 233.49.133.254 | 233.49.133.255 | 510 |
| 196 | 233.49.134.0/23 | 233.49.134.1 to 233.49.135.254 | 233.49.135.255 | 510 |
| 197 | 233.49.136.0/23 | 233.49.136.1 to 233.49.137.254 | 233.49.137.255 | 510 |
| 198 | 233.49.138.0/23 | 233.49.138.1 to 233.49.139.254 | 233.49.139.255 | 510 |
| 199 | 233.49.140.0/23 | 233.49.140.1 to 233.49.141.254 | 233.49.141.255 | 510 |
| 200 | 233.49.142.0/23 | 233.49.142.1 to 233.49.143.254 | 233.49.143.255 | 510 |
| 201 | 233.49.144.0/23 | 233.49.144.1 to 233.49.145.254 | 233.49.145.255 | 510 |
| 202 | 233.49.146.0/23 | 233.49.146.1 to 233.49.147.254 | 233.49.147.255 | 510 |
| 203 | 233.49.148.0/23 | 233.49.148.1 to 233.49.149.254 | 233.49.149.255 | 510 |
| 204 | 233.49.150.0/23 | 233.49.150.1 to 233.49.151.254 | 233.49.151.255 | 510 |
| 205 | 233.49.152.0/23 | 233.49.152.1 to 233.49.153.254 | 233.49.153.255 | 510 |
| 206 | 233.49.154.0/23 | 233.49.154.1 to 233.49.155.254 | 233.49.155.255 | 510 |
| 207 | 233.49.156.0/23 | 233.49.156.1 to 233.49.157.254 | 233.49.157.255 | 510 |
| 208 | 233.49.158.0/23 | 233.49.158.1 to 233.49.159.254 | 233.49.159.255 | 510 |
| 209 | 233.49.160.0/23 | 233.49.160.1 to 233.49.161.254 | 233.49.161.255 | 510 |
| 210 | 233.49.162.0/23 | 233.49.162.1 to 233.49.163.254 | 233.49.163.255 | 510 |
| 211 | 233.49.164.0/23 | 233.49.164.1 to 233.49.165.254 | 233.49.165.255 | 510 |
| 212 | 233.49.166.0/23 | 233.49.166.1 to 233.49.167.254 | 233.49.167.255 | 510 |
| 213 | 233.49.168.0/23 | 233.49.168.1 to 233.49.169.254 | 233.49.169.255 | 510 |
| 214 | 233.49.170.0/23 | 233.49.170.1 to 233.49.171.254 | 233.49.171.255 | 510 |
| 215 | 233.49.172.0/23 | 233.49.172.1 to 233.49.173.254 | 233.49.173.255 | 510 |
| 216 | 233.49.174.0/23 | 233.49.174.1 to 233.49.175.254 | 233.49.175.255 | 510 |
| 217 | 233.49.176.0/23 | 233.49.176.1 to 233.49.177.254 | 233.49.177.255 | 510 |
| 218 | 233.49.178.0/23 | 233.49.178.1 to 233.49.179.254 | 233.49.179.255 | 510 |
| 219 | 233.49.180.0/23 | 233.49.180.1 to 233.49.181.254 | 233.49.181.255 | 510 |
| 220 | 233.49.182.0/23 | 233.49.182.1 to 233.49.183.254 | 233.49.183.255 | 510 |
| 221 | 233.49.184.0/23 | 233.49.184.1 to 233.49.185.254 | 233.49.185.255 | 510 |
| 222 | 233.49.186.0/23 | 233.49.186.1 to 233.49.187.254 | 233.49.187.255 | 510 |
| 223 | 233.49.188.0/23 | 233.49.188.1 to 233.49.189.254 | 233.49.189.255 | 510 |
| 224 | 233.49.190.0/23 | 233.49.190.1 to 233.49.191.254 | 233.49.191.255 | 510 |
| 225 | 233.49.192.0/23 | 233.49.192.1 to 233.49.193.254 | 233.49.193.255 | 510 |
| 226 | 233.49.194.0/23 | 233.49.194.1 to 233.49.195.254 | 233.49.195.255 | 510 |
| 227 | 233.49.196.0/23 | 233.49.196.1 to 233.49.197.254 | 233.49.197.255 | 510 |
| 228 | 233.49.198.0/23 | 233.49.198.1 to 233.49.199.254 | 233.49.199.255 | 510 |
| 229 | 233.49.200.0/23 | 233.49.200.1 to 233.49.201.254 | 233.49.201.255 | 510 |
| 230 | 233.49.202.0/23 | 233.49.202.1 to 233.49.203.254 | 233.49.203.255 | 510 |
| 231 | 233.49.204.0/23 | 233.49.204.1 to 233.49.205.254 | 233.49.205.255 | 510 |
| 232 | 233.49.206.0/23 | 233.49.206.1 to 233.49.207.254 | 233.49.207.255 | 510 |
| 233 | 233.49.208.0/23 | 233.49.208.1 to 233.49.209.254 | 233.49.209.255 | 510 |
| 234 | 233.49.210.0/23 | 233.49.210.1 to 233.49.211.254 | 233.49.211.255 | 510 |
| 235 | 233.49.212.0/23 | 233.49.212.1 to 233.49.213.254 | 233.49.213.255 | 510 |
| 236 | 233.49.214.0/23 | 233.49.214.1 to 233.49.215.254 | 233.49.215.255 | 510 |
| 237 | 233.49.216.0/23 | 233.49.216.1 to 233.49.217.254 | 233.49.217.255 | 510 |
| 238 | 233.49.218.0/23 | 233.49.218.1 to 233.49.219.254 | 233.49.219.255 | 510 |
| 239 | 233.49.220.0/23 | 233.49.220.1 to 233.49.221.254 | 233.49.221.255 | 510 |
| 240 | 233.49.222.0/23 | 233.49.222.1 to 233.49.223.254 | 233.49.223.255 | 510 |
| 241 | 233.49.224.0/23 | 233.49.224.1 to 233.49.225.254 | 233.49.225.255 | 510 |
| 242 | 233.49.226.0/23 | 233.49.226.1 to 233.49.227.254 | 233.49.227.255 | 510 |
| 243 | 233.49.228.0/23 | 233.49.228.1 to 233.49.229.254 | 233.49.229.255 | 510 |
| 244 | 233.49.230.0/23 | 233.49.230.1 to 233.49.231.254 | 233.49.231.255 | 510 |
| 245 | 233.49.232.0/23 | 233.49.232.1 to 233.49.233.254 | 233.49.233.255 | 510 |
| 246 | 233.49.234.0/23 | 233.49.234.1 to 233.49.235.254 | 233.49.235.255 | 510 |
| 247 | 233.49.236.0/23 | 233.49.236.1 to 233.49.237.254 | 233.49.237.255 | 510 |
| 248 | 233.49.238.0/23 | 233.49.238.1 to 233.49.239.254 | 233.49.239.255 | 510 |
| 249 | 233.49.240.0/23 | 233.49.240.1 to 233.49.241.254 | 233.49.241.255 | 510 |
| 250 | 233.49.242.0/23 | 233.49.242.1 to 233.49.243.254 | 233.49.243.255 | 510 |
| 251 | 233.49.244.0/23 | 233.49.244.1 to 233.49.245.254 | 233.49.245.255 | 510 |
| 252 | 233.49.246.0/23 | 233.49.246.1 to 233.49.247.254 | 233.49.247.255 | 510 |
| 253 | 233.49.248.0/23 | 233.49.248.1 to 233.49.249.254 | 233.49.249.255 | 510 |
| 254 | 233.49.250.0/23 | 233.49.250.1 to 233.49.251.254 | 233.49.251.255 | 510 |
| 255 | 233.49.252.0/23 | 233.49.252.1 to 233.49.253.254 | 233.49.253.255 | 510 |
| 256 | 233.49.254.0/23 | 233.49.254.1 to 233.49.255.254 | 233.49.255.255 | 510 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |